<?php

/**
* Implementation of hook_rules_event_info().
* @ingroup rules
*/
function chess_rules_event_info() {
  return array(
    'chess_move_made' => array(
      'label' => t('A move has been made'),
      'module' => 'chess',
      'arguments' => array(
        'player' => array('type' => 'number', 'label' => t('Player-UID')),
        'opponent' => array('type' => 'number', 'label' => t('Opponent-UID')),
        'move' => array('type' => 'string', 'label' => t('Move-Description')),
        'game' => array('type' => 'number', 'label' => t('Game-NID')),
      ),
    ),
    'chess_move_undo' => array(
      'label' => t('A move has been undone'),
      'module' => 'chess',
      'arguments' => array(
        'player' => array('type' => 'number', 'label' => t('Player-UID')),
        'opponent' => array('type' => 'number', 'label' => t('Opponent-UID')),
        'game' => array('type' => 'number', 'label' => t('Game-NID')),
      ),
    ),
    'chess_game_ended' => array(
      'label' => t('A game has ended'),
      'module' => 'chess',
      'arguments' => array(
        'player' => array('type' => 'number', 'label' => t('Player-UID')),
        'opponent' => array('type' => 'number', 'label' => t('Opponent-UID')),
        'game' => array('type' => 'number', 'label' => t('Game-NID')),
      ),
    ),    
  );
}
?>
