<?php

// Describe table chess to views
function chess_views_data() {
  $data = array();
  
  // Declare table chess
  $data['chess'] = array(
    'table' => array(
      'group' => t('Chess'),
      'base' => array(
        'field' => 'nid',
        'title' => t('Chess-Table'),
        'help' => t('Chessgames, in form of a table'),
        'weight' => -10,
      ),
      // Let views know how to join other tables ...
      'join' => array(
        // join with node
        'node' => array(
          'left_field' => 'nid',
          'field' => 'nid',
        ),
/*
        // join with node_revisions
        'node_revisions' => array(
          'left_field' => 'vid',
          'field' => 'vid',
        ),
        // join with users
        'users' => array(
          'left_field' => 'uid',
          'field' => 'white_player',
          'field' => 'black_player',
        ),
*/
      ),
    ),
    'nid' => array(
      'title' => t('Chess Game'),
      'help' => t('A game of chess.'),
      'relationship' => array(
        'base' => 'node',
        'field' => 'nid',
        'handler' => 'views_handler_relationship',
        'label' => t('Chess Game Relationship Label'),
      ),
    ),
    'vid' => array(
      'title' => t('Version ID'),
      'help' => t('The version ID.'),
    ),
    'user_white' => array(
      'title' => t('White Player'),
      'help' => t('The player having the white pieces.'),
      'field' => array(
        'handler' => 'views_handler_field_user',
        'click sortable' => TRUE,
      ),
      'filter' => array(
        'handler' => 'views_handler_filter_numeric',
      ),
      'argument' => array(
        'handler' => 'views_handler_argument_numeric',
      ),
      'sort' => array(
        'handler' => 'views_handler_sort',
      ),
    ),
    'user_black' => array(
      'title' => t('Black Player'),
      'help' => t('The player having the black pieces.'),
      'field' => array(
        'handler' => 'views_handler_field_user',
        'click sortable' => TRUE,
      ),
      'filter' => array(
        'handler' => 'views_handler_filter_numeric',
      ),
      'argument' => array(
        'handler' => 'views_handler_argument_numeric',
      ),
      'sort' => array(
        'handler' => 'views_handler_sort',
      ),
    ),
  );
  
  // Declare table chess_games
  $data['chess_games'] = array(
    'table' => array(
      'group' => t('Chess'),
      // Let views know how to join other tables ...
      'join' => array(
        // join with chess
        'node' => array(
          'left_table' => 'chess',
          'left_field' => 'nid',
          'field' => 'game_id',
        ),
      ),
    ),
    'game_id' => array(
      'title' => t('Chess Game'),
      'help' => t('A game of chess.'),
    ),
  );

  // Declare table chess_info
  $data['chess_info'] = array(
    'table' => array(
      'group' => t('Chess'),
      // Let views know how to join other tables ...
      'join' => array(
        // join with chess
        'node' => array(
          'left_table' => 'chess',
          'left_field' => 'nid',
          'field' => 'game_id',
        ),
      ),
    ),
    'game_id' => array(
      'title' => t('Chess Game'),
      'help' => t('A game of chess.'),
    ),
    'next_move' => array(
      'title' => t('Who\'s turn'),
      'help' => t('The player being up for the next move.'),
      'field' => array(
        'handler' => 'views_handler_field',
        'click sortable' => TRUE,
      ),
    ),
    'checkmate' => array(
      'title' => t('Game ended'),
      'help' => t('Whether the game has ended.'),
      'field' => array(
        'handler' => 'views_handler_field_boolean',
        'click sortable' => TRUE,
      ),
      'filter' => array(
        'handler' => 'views_handler_filter_boolean_operator',
      ),
    ),
    'number_of_moves' => array(
      'title' => t('Number of moves'),
      'help' => t('The number of moves played so far.'),
      'field' => array(
        'handler' => 'views_handler_field_numeric',
        'click sortable' => TRUE,
      ),
      'filter' => array(
        'handler' => 'views_handler_filter_numeric',
      ),
    ),
  );
  return $data;
}

?>
